function getTime (date,icon,str) {
    // str是要显示的时间 String类型 YMDhms
    //date 一般传时间 如传auto String类型 则显示本机时间
    if(date&&icon&&str){
        let dates=null;
        if(date=='auto'){
            dates=new Date();
        }else{
            dates=new Date(date);
        }
        const  newDate = dates;
        let timeStrin='';
        let Y=newDate.getFullYear();//年
        let M=newDate.getMonth()+1;//月
        let D=newDate.getDate();//日
        let h=newDate.getHours();//时
        let m=newDate.getMinutes();//分
        let s=newDate.getSeconds();//秒
        if(str.indexOf('Y')!=-1){
            timeStrin+=(Y+icon);
        }
        if(str.indexOf('M')!=-1){

            timeStrin+=(supplement(M)+icon);
        }
        if(str.indexOf('D')!=-1){
            timeStrin+=(supplement(D)+'\xa0');
        }
        if(str.indexOf('h')!=-1){
            timeStrin+=(supplement(h)+':');
        }
        if(str.indexOf('m')!=-1){
            timeStrin+=(supplement(m)+':');
        }
        if(str.indexOf('s')!=-1){
            timeStrin+=(supplement(s));
        }
        if(timeStrin.charAt(timeStrin.length-1)==icon||timeStrin.charAt(timeStrin.length-1)==':'||timeStrin.charAt(timeStrin.length-1)=='\xa0'){
            timeStrin=timeStrin.substring(0,timeStrin.length-1);
        }
        return timeStrin
    }else{
        return '数据不全'
    }
};
function supplement(num){
    if(Number(num)<10){
        num='0'+num;
    }
    return num
}
export default getTime;